ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Member Functions | Private Member Functions | Private Attributes | List of all members
UpperTesterSremSsemCodec Class Reference

`#include <UpperTesterSremSsemCodec.hh>`

Inheritance diagram for UpperTesterSremSsemCodec:

## Public Member Functions
| UpperTesterSremSsemCodec ()
virtual | ~UpperTesterSremSsemCodec ()
virtual int | encode (const Record_Type &, OCTETSTRING &data)
| Encode typed message into an octet string. More...
virtual int | decode (const OCTETSTRING &data, Record_Type &, Params *params=NULL)
| Encode typed message into an octet string format. More...
std::unique_ptr< Base_Type > | decode (const OCTETSTRING &data, Params *params=NULL)
Public Member Functions inherited from Codec< Record_Type, Record_Type >
| Codec ()
| Reference to Params stack. More...
virtual | ~Codec ()
| Default destructor . More...

## Private Member Functions
int | encode_ (const Base_Type &type, const TTCN_Typedescriptor_t &field_descriptor, TTCN_Buffer &encoding_buffer)
int | decode (const OCTETSTRING &data, LibItsSremSsem__TypesAndValues::UtSremResults &msg, Params *params=NULL)
int | decode (const OCTETSTRING &data, LibItsSremSsem__TypesAndValues::UtSremEventInd &msg, Params *params=NULL)
int | decode (const OCTETSTRING &data, LibItsSremSsem__TypesAndValues::UtSsemEventInd &msg, Params *params=NULL)

## Private Attributes
const unsigned char | c_utSremSsemInitialize = 0x00
const unsigned char | c_utSremSsemInitializeResult = 0x01
const unsigned char | c_utSremSsemTrigger = 0xAB
const unsigned char | c_utSremSsemTriggerResult = 0xAC
const unsigned char | c_utSremSsemUpdate = 0xAD
const unsigned char | c_utSremSsemUpdateResult = 0xAE
const unsigned char | c_utSremEventInd = 0xAF
const unsigned char | c_utSsemEventInd = 0xB0

## Additional Inherited Members
Protected Attributes inherited from Codec< Record_Type, Record_Type >
Params * | _params

## Constructor & Destructor Documentation

## ◆ UpperTesterSremSsemCodec()

UpperTesterSremSsemCodec::UpperTesterSremSsemCodec | ( |  | ) |
| inline

## ◆ ~UpperTesterSremSsemCodec()

virtual UpperTesterSremSsemCodec::~UpperTesterSremSsemCodec | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ decode() [1/5]

int UpperTesterSremSsemCodec::decode | ( | const OCTETSTRING & | p_,
|  | Record_Type & | p_message,
|  | Params * | p_params = `NULL`
| ) |  |
| virtual

Encode typed message into an octet string format.

Parameters

  [in] | p_data | The message in its octet string
  [out] | p_message | The decoded typed message

Returns
  0 on success, -1 otherwise

Implements Codec< Record_Type, Record_Type >.

## ◆ decode() [2/5]

std::unique_ptr< Base_Type > UpperTesterSremSsemCodec::decode | ( | const OCTETSTRING & | data,
|  | Params * | params = `NULL`
| ) |  |

## ◆ decode() [3/5]

int UpperTesterSremSsemCodec::decode | ( | const OCTETSTRING & | data,
|  | LibItsSremSsem__TypesAndValues::UtSremResults & | msg,
|  | Params * | params = `NULL`
| ) |  |
| private

## ◆ decode() [4/5]

int UpperTesterSremSsemCodec::decode | ( | const OCTETSTRING & | data,
|  | LibItsSremSsem__TypesAndValues::UtSremEventInd & | msg,
|  | Params * | params = `NULL`
| ) |  |
| private

## ◆ decode() [5/5]

int UpperTesterSremSsemCodec::decode | ( | const OCTETSTRING & | data,
|  | LibItsSremSsem__TypesAndValues::UtSsemEventInd & | msg,
|  | Params * | params = `NULL`
| ) |  |
| private

## ◆ encode()

int UpperTesterSremSsemCodec::encode | ( | const Record_Type & | msg,
|  | OCTETSTRING & | data
| ) |  |
| virtual

Encode typed message into an octet string.

Parameters

  [in] | p_message | The typed message to be encoded
  [out] | p_data | The encoding result

Returns
  0 on success, -1 otherwise

Implements Codec< Record_Type, Record_Type >.

## ◆ encode_()

int UpperTesterSremSsemCodec::encode_ | ( | const Base_Type & | type,
|  | const TTCN_Typedescriptor_t & | field_descriptor,
|  | TTCN_Buffer & | encoding_buffer
| ) |  |
| private

## Member Data Documentation

## ◆ c_utSremEventInd

const unsigned char UpperTesterSremSsemCodec::c_utSremEventInd = 0xAF
| private

## ◆ c_utSremSsemInitialize

const unsigned char UpperTesterSremSsemCodec::c_utSremSsemInitialize = 0x00
| private

## ◆ c_utSremSsemInitializeResult

const unsigned char UpperTesterSremSsemCodec::c_utSremSsemInitializeResult = 0x01
| private

## ◆ c_utSremSsemTrigger

const unsigned char UpperTesterSremSsemCodec::c_utSremSsemTrigger = 0xAB
| private

## ◆ c_utSremSsemTriggerResult

const unsigned char UpperTesterSremSsemCodec::c_utSremSsemTriggerResult = 0xAC
| private

## ◆ c_utSremSsemUpdate

const unsigned char UpperTesterSremSsemCodec::c_utSremSsemUpdate = 0xAD
| private

## ◆ c_utSremSsemUpdateResult

const unsigned char UpperTesterSremSsemCodec::c_utSremSsemUpdateResult = 0xAE
| private

## ◆ c_utSsemEventInd

const unsigned char UpperTesterSremSsemCodec::c_utSsemEventInd = 0xB0
| private

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/UpperTesterSremSsemCodec.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/UpperTesterSremSsemCodec.cc